> For the complete documentation index, see [llms.txt](https://docs.heypoplar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.heypoplar.com/api/api/http-errors.md).

# HTTP Errors

## Status Codes

| Code    | Type           | Description           |
| ------- | -------------- | --------------------- |
| **200** | `Success`      | OK                    |
| **201** | `Success`      | Created               |
| **204** | `Success`      | No Content            |
| **304** | `Redirection`  | Not Modified          |
| **400** | `Client Error` | Bad Request           |
| **401** | `Client Error` | Unauthorized          |
| **403** | `Client Error` | Forbidden             |
| **404** | `Client Error` | Not Found             |
| **409** | `Client Error` | Conflict              |
| **429** | `Client Error` | Too Many Requests     |
| **500** | `Server Error` | Internal Server Error |

In the case of an error code, the response body will indicate further details to help troubleshoot the error.

```json
{
    "error": {
        "title": "ValidationError",
        "message": "campaign_id parameter is required" 
    }
}
```

## Rate Limiting

To prevent misuse, our API endpoints implement rate limiting.  If your application exceeds this limit then a HTTP **429 "Too Many Requests"** response code will be returned.

HTTP headers are returned on all endpoints which contain how many more requests your application is allowed.

| Header                   | Description                             |
| ------------------------ | --------------------------------------- |
| `x-rate-limit-limit`     | The rate limit for a given endpoint     |
| `x-rate-limit-remaining` | The number of requests remaining        |
| `x-rate-limit-reset`     | The time at which the rate limit resets |

{% hint style="info" %}
If you require a rate limit increase, please reach out to **<support@heypoplar.com>**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.heypoplar.com/api/api/http-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
